Bug 236881 - irc/epic4: Update to 2.10.7
Summary: irc/epic4: Update to 2.10.7
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-29 14:55 UTC by caf
Modified: 2019-03-30 23:22 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jpaetzel)


Attachments
Patch to update port to new upstream version (1.78 KB, patch)
2019-03-29 14:55 UTC, caf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description caf 2019-03-29 14:55:38 UTC
Created attachment 203243 [details]
Patch to update port to new upstream version

Update to new upstream version.

The upstream configure script has been updated so this will port will now correctly link against the ports version of OpenSSL if requested.

The --with-perl option no longer needs an argument, it uses the perl binary to find the correct paths.

The --with-tcl option takes a TCL_LIBDIR argument to specify exactly which TCL version to use if multiple are installed.
Comment 1 commit-hook freebsd_committer 2019-03-30 23:22:50 UTC
A commit references this bug:

Author: jpaetzel
Date: Sat Mar 30 23:22:05 UTC 2019
New revision: 497369
URL: https://svnweb.freebsd.org/changeset/ports/497369

Log:
  Update to 2.10.7

  The upstream configure script has been updated so this will port will now
  correctly link against the ports version of OpenSSL if requested.

  The --with-perl option no longer needs an argument, it uses the perl binary
  to find the correct paths.

  The --with-tcl option takes a TCL_LIBDIR argument to specify exactly which
  TCL version to use if multiple are installed.

  PR:	236881
  Submitted by:	caf@bitchx.org

Changes:
  head/irc/epic4/Makefile
  head/irc/epic4/distinfo